commit: a720e9fc5917b324514d2cda92957df7f91badc3
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Wed Feb 17 18:15:02 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed Feb 17 18:15:02 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a720e9fc
dev-python/stdio-mgr: add py3.8 and 3.9
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
dev-python/stdio-mgr/stdio-mgr-1.0.1.ebuild | 9 +++++++--
1 file changed, 7 insertions(+), 2 deletions(-)
diff --git a/dev-python/stdio-mgr/stdio-mgr-1.0.1.ebuild
b/dev-python/stdio-mgr/stdio-mgr-1.0.1.ebuild
index 5cf5ce83..7218e21b 100644
--- a/dev-python/stdio-mgr/stdio-mgr-1.0.1.ebuild
+++ b/dev-python/stdio-mgr/stdio-mgr-1.0.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_7 )
+PYTHON_COMPAT=( python3_{7,8,9} )
inherit distutils-r1
@@ -23,3 +23,8 @@ distutils_enable_tests pytest
#distutils_enable_sphinx doc \
# dev-python/sphinxcontrib-programoutput \
# dev-python/sphinx_rtd_theme
+
+python_test() {
+ # skip the doctests
+ pytest -vv tests || die "Tests failed with ${EPYTHON}"
+}